Bug 126439 - installer initrds seem broken
installer initrds seem broken
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-21 13:45 EDT by Jesse Barnes
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-22 11:30:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Barnes 2004-06-21 13:45:50 EDT
The rawhide ia64 installer image seems broken.  Here's the boot 
output from the boot.img of last night's build (copied out the 
kernel and initrd.img files into the /boot/efi filesystem and 
created an elilo.conf entry for it).  It looks like the initrd is 
mounted, but then something goes wrong immediately after that.  I 
think Bill has seen similar behavior on other recent nightly builds. 
 
 
ELILO boot: fedora-install 
Uncompressing Linux... done 
Loading initrd initrd-20040621.img...done 
Linux version 2.6.7-1.441 (bhcompile@boris.devel.redhat.com) (gcc 
version 3.4.0 20040613 (Red Hat Linux 3.4.0-5)) #1 SMP Sun Jun 20 
14:07:12 EDT 2004 
EFI v1.02 by SGI: SALsystab=0x30047e5150 ACPI 2.0=0x30047e5920 
booting generic kernel on platform sn2 
ACPI: RSDP (v002    SGI                                    ) @ 
0x00000030047e5920 
ACPI: XSDT (v001    SGI  XSDTSN2 0x00010001  0x00000001) @ 
0x00000030047e5960 
ACPI: MADT (v001    SGI  APICSN2 0x00010001  0x00000001) @ 
0x00000030047e59c0 
ACPI: SRAT (v001    SGI  SRATSN2 0x00010001  0x00000001) @ 
0x00000030047e5a60 
ACPI: SLIT (v001    SGI  SLITSN2 0x00010001  0x00000001) @ 
0x00000030047e5bc0 
ACPI: FADT (v003    SGI  FACPSN2 0x00030001  0x00000001) @ 
0x00000030047e5ca0 
ACPI: DSDT (v001    SGI  DSDTSN2 0x00010001  0x00000001) @ 
0x00000030047e5c60 
ACPI: DSDT (v001    SGI  DSDTSN2 0x00010001  0x00000001) @ 
0x0000000000000000 
ACPI: SRAT revision 0 
ACPI: SLIT localities 4x4 
Number of logical nodes in system = 4 
Number of memory chunks in system = 4 
Initial ramdisk at: 0xe00001b07b80d000 (5591040 bytes) 
SAL 2.9: SGI SN2 version 3.32 
SAL Platform features: ITC_Drift 
SAL: AP wakeup using external interrupt vector 0x12 
ACPI: Local APIC address 0xc0000000fee00000 
ACPI: LSAPIC (acpi_id[0x00] lsapic_id[0x00] lsapic_eid[0x00] 
enabled) 
CPU 0 (0x0000) enabled (BSP) 
ACPI: LSAPIC (acpi_id[0x01] lsapic_id[0x20] lsapic_eid[0x00] 
enabled) 
CPU 1 (0x2000) enabled 
ACPI: LSAPIC (acpi_id[0x02] lsapic_id[0x00] lsapic_eid[0x02] 
enabled) 
CPU 2 (0x0002) enabled 
ACPI: LSAPIC (acpi_id[0x03] lsapic_id[0x20] lsapic_eid[0x02] 
enabled) 
CPU 3 (0x2002) enabled 
ACPI: LSAPIC (acpi_id[0x04] lsapic_id[0x00] lsapic_eid[0x04] 
enabled) 
CPU 4 (0x0004) enabled 
ACPI: LSAPIC (acpi_id[0x05] lsapic_id[0x20] lsapic_eid[0x04] 
enabled) 
CPU 5 (0x2004) enabled 
ACPI: LSAPIC (acpi_id[0x06] lsapic_id[0x00] lsapic_eid[0x06] 
enabled) 
CPU 6 (0x0006) enabled 
ACPI: LSAPIC (acpi_id[0x07] lsapic_id[0x20] lsapic_eid[0x06] 
enabled) 
CPU 7 (0x2006) enabled 
ACPI: Error parsing MADT - no IOSAPIC entries 
register_intr: No IOSAPIC for GSI 52 
GSI 52 (level, low) -> CPU 0 (0x0000) vector 48 
8 CPUs available, 8 CPUs total 
Registering legacy COM ports for serial console 
Increasing MCA rendezvous timeout from 20000 to 49000 milliseconds 
MCA related initialization done 
SGI SAL version 3.32 
Virtual mem_map starts at 0xa0007ffe85938000 
On node 0 totalpages: 121710 
  DMA zone: 121710 pages, LIFO batch:4 
  Normal zone: 0 pages, LIFO batch:1 
  HighMem zone: 0 pages, LIFO batch:1 
On node 1 totalpages: 122240 
  DMA zone: 122240 pages, LIFO batch:4 
  Normal zone: 0 pages, LIFO batch:1 
  HighMem zone: 0 pages, LIFO batch:1 
On node 2 totalpages: 122240 
  DMA zone: 122240 pages, LIFO batch:4 
  Normal zone: 0 pages, LIFO batch:1 
  HighMem zone: 0 pages, LIFO batch:1 
On node 3 totalpages: 121784 
  DMA zone: 121784 pages, LIFO batch:4 
  Normal zone: 0 pages, LIFO batch:1 
  HighMem zone: 0 pages, LIFO batch:1 
Built 4 zonelists 
Kernel command line: BOOT_IMAGE=atapi0:EFI\redhat\vmlinuz-20040621  
ramdisk_size=12288 maxcpus=1 console=ttyS0 ro 
PID hash table entries: 4096 (order 12: 65536 bytes) 
CPU 0: base freq=200.000MHz, ITC ratio=14/2, ITC 
freq=1400.000MHz+/--1ppm 
Console: colour dummy device 80x25 
Memory: 7708864k/7807584k available (5469k code, 111280k reserved, 
2122k data, 384k init) 
McKinley Errata 9 workaround not needed; disabling it 
Calibrating delay loop... 2077.40 BogoMIPS 
Security Scaffold v1.0.0 initialized 
SELinux:  Initializing. 
SELinux:  Starting in permissive mode 
There is already a security framework initialized, register_security 
failed. 
selinux_register_security:  Registering secondary module capability 
Capability LSM initialized as secondary 
Dentry cache hash table entries: 65536 (order: 5, 524288 bytes) 
Inode-cache hash table entries: 65536 (order: 5, 524288 bytes) 
Mount-cache hash table entries: 1024 (order: 0, 16384 bytes) 
Boot processor id 0x0/0x0 
task migration cache decay timeout: 10 msecs. 
Brought up 1 CPUs 
Total of 1 processors activated (2077.40 BogoMIPS). 
CPU0:  online 
  groups: 00000000,00000001 00000000,00000002 
   groups: 00000000,00000003 00000000,0000000c 00000000,00000030 
00000000,000000c0 
CPU1: offline 
  groups: 00000000,00000002 00000000,00000001 
   groups: 00000000,00000003 00000000,0000000c 00000000,00000030 
00000000,000000c0 
CPU2: offline 
  groups: 00000000,00000004 00000000,00000008 
   groups: 00000000,0000000c 00000000,00000030 00000000,000000c0 
00000000,00000003 
CPU3: offline 
  groups: 00000000,00000008 00000000,00000004 
   groups: 00000000,0000000c 00000000,00000030 00000000,000000c0 
00000000,00000003 
CPU4: offline 
  groups: 00000000,00000010 00000000,00000020 
   groups: 00000000,00000030 00000000,000000c0 00000000,00000003 
00000000,0000000c 
CPU5: offline 
  groups: 00000000,00000020 00000000,00000010 
   groups: 00000000,00000030 00000000,000000c0 00000000,00000003 
00000000,0000000c 
CPU6: offline 
  groups: 00000000,00000040 00000000,00000080 
   groups: 00000000,000000c0 00000000,00000003 00000000,0000000c 
00000000,00000030 
CPU7: offline 
  groups: 00000000,00000080 00000000,00000040 
   groups: 00000000,000000c0 00000000,00000003 00000000,0000000c 
00000000,00000030 
checking if image is initramfs...it isn't (no cpio magic); looks 
like an initrd 
Freeing initrd memory: 5440kB freed 
NET: Registered protocol family 16 
ACPI: Subsystem revision 20040326 
ACPI: SCI (ACPI GSI 52) not registered 
ACPI: Interpreter enabled 
ACPI: Using IOSAPIC for interrupt routing 
usbcore: registered new driver usbfs 
usbcore: registered new driver hub 
PCI: Using ACPI for IRQ routing 
perfmon: version 2.0 IRQ 238 
perfmon: Itanium 2 PMU detected, 16 PMCs, 18 PMDs, 4 counters (47 
bits) 
PAL Information Facility v0.5 
perfmon: added sampling format default_format 
perfmon_default_smpl: default_format v2.0 registered 
audit: initializing netlink socket (disabled) 
audit(1087838734.042:0): initialized 
Total HugeTLB memory allocated, 0 
VFS: Disk quotas dquot_6.5.1 
Dquot-cache hash table entries: 2048 (order 0, 16384 bytes) 
SELinux:  Registering netfilter hooks 
Initializing Cryptographic API 
pci_hotplug: PCI Hot Plug PCI Core version: 0.5 
EFI Time Services Driver v0.4 
Linux agpgart interface v0.100 (c) Dave Jones 
Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing 
enabled 
RAMDISK driver initialized: 16 RAM disks of 12288K size 1024 
blocksize 
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2 
ide: Assuming 33MHz system bus speed for PIO modes; override with 
idebus=xx 
ide0: I/O resource 0x3F6-0x3F6 not free. 
ide0: ports already in use, skipping probe 
ide1: I/O resource 0x376-0x376 not free. 
ide1: ports already in use, skipping probe 
ide2: I/O resource 0x3EE-0x3EE not free. 
ide2: ports already in use, skipping probe 
ide3: I/O resource 0x36E-0x36E not free. 
ide3: ports already in use, skipping probe 
ide4: I/O resource 0x3E6-0x3E6 not free. 
ide4: ports already in use, skipping probe 
ide5: I/O resource 0x366-0x366 not free. 
ide5: ports already in use, skipping probe 
ide-floppy driver 0.99.newide 
usbcore: registered new driver hiddev 
usbcore: registered new driver usbhid 
drivers/usb/input/hid-core.c: v2.0:USB HID core driver 
mice: PS/2 mouse device common for all mice 
md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27 
EFI Variables Facility v0.08 2004-May-17 
NET: Registered protocol family 2 
IP: routing cache hash table of 131072 buckets, 2048Kbytes 
TCP: Hash tables configured (established 4194304 bind 65536) 
Initializing IPsec netlink socket 
NET: Registered protocol family 1 
NET: Registered protocol family 17 
md: Autodetecting RAID arrays. 
md: autorun ... 
md: ... autorun DONE. 
RAMDISK: Compressed image found at block 0 
VFS: Mounted root (ext2 filesystem). 
VFS: Cannot open root device "<NULL>" or unknown-block(3,1) 
Please append a correct "root=" boot option 
Kernel panic: VFS: Unable to mount root fs on unknown-block(3,1)
Comment 1 Jesse Barnes 2004-06-21 14:00:45 EDT
I forgot to mention that the kernel from this build works fine with 
a newly generated initrd, which makes me think that something is 
broken in the way installer initrd images are generated, either for 
ia64 or in general. 
 
Jesse 
Comment 2 Bill Peck 2004-06-21 14:05:34 EDT
I was seeing this until I tried 0621 of rawhide for ia64.  Now I'm
seeing a different problem which I posted under bug#126442
Comment 3 Jesse Barnes 2004-06-21 15:24:42 EDT
I just double checked the kernel ramdisk size to be sure it was big 
enough.  It is.  The kernel I'm using has 16MB set aside for the 
ramdisk, and the initrd that failed was only ~8MB uncompressed. 
 
Jesse 
Comment 4 Jeremy Katz 2004-06-21 16:15:29 EDT
Bumped initrd size, hopefully this will fix it.
Comment 5 Jesse Barnes 2004-06-22 11:29:25 EDT
Yep, that worked.  Now I get to the installer. 
 
Jesse 

Note You need to log in before you can comment on or make changes to this bug.